Nexuiz 2.5.2 Sound dies

Bug #464652 reported by inneas on 2009-10-30
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
pulseaudio (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: pulseaudio

I can play Nexuiz (atm at Version 2.5.2) and everything is working great. But sometimes the sound dies.
Sometimes I can play an hour without any problem, another time the sound brakes every 5 minutes.

The Nexuiz support told me that the problem is not in nexuiz, it is in pulseaudio.

So I started the pulseaudio demon in the debug mode and started playing until the sound crashes.
You can find the output in the file pulse.log.

I cant say ob the problem is realy in pulseaudio because I can't close pulseaudio. I can quit it with pulseaudio -k, it comes up agaien, I can kill it with pkill -9, pulseaudio comes up again. I also hat set the autospawn in the client.config to no, but pulseaudio still comes up again. I really don't know how to quit it.

Had this problem with Ubuntu 9.04 and still now under Ubuntu 9.10.

ProblemType: Bug
Architecture: i386
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: STAC92xx Analog [STAC92xx Analog]
   Subdevices: 2/2
   Subdevice #0: subdevice #0
   Subdevice #1: subdevice #1
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: inneas 4088 F.... pulseaudio
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xfebfc000 irq 21'
   Mixer name : 'SigmaTel STAC9205'
   Components : 'HDA:838476a0,102801f2,00100204 HDA:14f12c06,14f1000f,00100000'
   Controls : 23
   Simple ctrls : 14
Date: Fri Oct 30 12:30:30 2009
DistroRelease: Ubuntu 9.10
NonfreeKernelModules: nvidia
Package: pulseaudio 1:0.9.19-0ubuntu4
ProcEnviron:
 LANG=de_AT.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.31-14.48-generic
SourcePackage: pulseaudio
Uname: Linux 2.6.31-14-generic i686

inneas (inneas) wrote :

Please change this bug to affect libsdl, not pulseaudio. This symptom
has already been fixed in upstream libsdl's svn trunk.

inneas (inneas) wrote :

Are you sure this affects to libsdl, cause I'm running the glx-Version from nexuiz (not the sdl)?
I don't know if libsdl is used by the glx-version anyway.

Daniel T Chen (crimsun) wrote :

The audio backend is handled by libsdl.

On Oct 30, 2009 12:00 PM, "inneas" <email address hidden> wrote:

Are you sure this affects to libsdl, cause I'm running the glx-Version from
nexuiz (not the sdl)?
I don't know if libsdl is used by the glx-version anyway.

-- Nexuiz 2.5.2 Sound dies https://bugs.launchpad.net/bugs/464652 You
received this bug notificati...

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pulseaudio - 1:0.9.22~0.9.21+341-g62bf-0ubuntu1

---------------
pulseaudio (1:0.9.22~0.9.21+341-g62bf-0ubuntu1) lucid; urgency=low

  * New snapshot based on stable-queue git branch (testing requested
    specifically by upstream)
    - LP: #164745, #173212, #201391, #204536, #207796, #210016, #221038,
    - LP: #226342, #230408, #236423, #237443, #250059, #269585, #274304,
    - LP: #274577, #275474, #277532, #277566, #277932, #278025, #280534,
    - LP: #283049, #286816, #287036, #292732, #298011, #298301, #300290,
    - LP: #302038, #311497, #311853, #324062, #339448, #344057, #348979,
    - LP: #350829, #356206, #367379, #367544, #369822, #371897, #374846,
    - LP: #375570, #381801, #399515, #402950, #403786, #408169, #409322,
    - LP: #409723, #410326, #410446, #417695, #417976, #419271, #421072,
    - LP: #422774, #423979, #424655, #425028, #427016, #431072, #432660,
    - LP: #437640, #437996, #442191, #443306, #443389, #446719, #449762,
    - LP: #455417, #461532, #464652, #483191, #497537, #503780
  * debian/patches/:
    + add: 0099-change-configure-git-version-tag.patch: Match released
           upstream 0.9.21 for shlibs and LIBPULSE_VERSION_INFO
    - drop: 0004-set-tsched0.patch (no longer relevant)
            0050-revert-pacmd-poll-argv.patch (no longer relevant)
            0056-dont-bail-on-sound-class-modem.patch (merged)
            0056-ignore-sound-class-modem.patch (merged)
            0058-Backport-4c793.patch (merged)
            0059-Backport-978d3.patch (merged)
            0060-fix-implicit-func-decl-cpu-arm.patch (merged)
            0061-Backport-c5fdb.patch (merged)
            0070-dont-bail-on-sound-class-modem-devs.patch (merged)
    + refresh: 0001-change-resample-and-buffering.patch
               0090-disable-flat-volumes.patch
               0091-dont-load-cork-music-on-phone.patch
               0057-load-module-x11-bell.patch
 -- Daniel T Chen <email address hidden> Thu, 14 Jan 2010 20:33:05 -0500

Changed in pulseaudio (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers